<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (c) 2016, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.wso2.carbon.identity.migration.resources</groupId>
        <artifactId>identity-migration-resources</artifactId>
        <version>1.1.151</version>
        <relativePath>../../../pom.xml</relativePath>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <artifactId>org.wso2.carbon.is.migration</artifactId>
    <packaging>bundle</packaging>

    <dependencies>
        <dependency>
            <groupId>org.apache.ws.commons.axiom</groupId>
            <artifactId>axiom-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.ws.commons.axiom</groupId>
            <artifactId>axiom-impl</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.ws.commons.axiom.wso2</groupId>
            <artifactId>axiom</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon</groupId>
            <artifactId>org.wso2.carbon.core.services</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon</groupId>
            <artifactId>org.wso2.carbon.utils</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.core</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-logging</groupId>
            <artifactId>commons-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-codec.wso2</groupId>
            <artifactId>commons-codec</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.commons</groupId>
            <artifactId>org.wso2.carbon.logging.service</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.application.mgt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.application.common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.challenge.questions</groupId>
            <artifactId>org.wso2.carbon.identity.challenge.questions.recovery</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.claim.metadata.mgt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.system.config.mgt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.governance</groupId>
            <artifactId>org.wso2.carbon.identity.recovery</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.application.authz.xacml</groupId>
            <artifactId>org.wso2.carbon.identity.entitlement</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.mgt</artifactId>
        </dependency>
       <dependency>
            <groupId>org.wso2.orbit.org.yaml</groupId>
            <artifactId>snakeyaml</artifactId>
        </dependency>
        <dependency>
            <groupId>org.json.wso2</groupId>
            <artifactId>json</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.inbound.auth.oauth2</groupId>
            <artifactId>org.wso2.carbon.identity.oauth</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.inbound.auth.oauth2</groupId>
            <artifactId>org.wso2.carbon.identity.oauth.common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.inbound.auth.saml2</groupId>
            <artifactId>org.wso2.carbon.identity.sso.saml</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.governance</groupId>
            <artifactId>org.wso2.carbon.identity.governance</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.workflow.user</groupId>
            <artifactId>org.wso2.carbon.user.mgt.workflow</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.utils</groupId>
            <artifactId>org.wso2.carbon.database.utils</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.extension.identity.x509certificate</groupId>
            <artifactId>org.wso2.carbon.extension.identity.x509Certificate.validation</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.identity.apps</groupId>
            <artifactId>org.wso2.identity.apps.common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.inbound.provisioning.scim2</groupId>
            <artifactId>org.wso2.carbon.identity.scim2.common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.api.resource.mgt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.api.resource.collection.mgt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.event.handler.notification</groupId>
            <artifactId>org.wso2.carbon.email.mgt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wso2.carbon.identity.framework</groupId>
            <artifactId>org.wso2.carbon.identity.secret.mgt.core</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
                        <Bundle-Name>${project.artifactId}</Bundle-Name>
                        <Private-Package>
                            org.wso2.carbon.is.migration.internal
                        </Private-Package>
                        <Import-Package>
                            org.osgi.framework; version="${osgi.framework.imp.pkg.version.range}",
                            org.osgi.service.component; version="${osgi.service.component.imp.pkg.version.range}",
                            org.apache.commons.logging; version="${version.commons.logging}",
                            org.wso2.carbon.identity.core.*; version="${carbon.identity.framework.version.range}",
                            org.wso2.carbon.identity.role.mgt.core.*; version="${carbon.identity.framework.version.range}",
                            org.wso2.carbon.database.utils.*; version="${org.wso2.carbon.database.utils.version.range}",
                            org.apache.commons.lang; version="${commons-lang.wso2.osgi.version.range}",
                            org.wso2.carbon.identity.application.mgt; version="${carbon.identity.framework.version.range}",
                            org.wso2.carbon.base.api,
                            org.wso2.carbon.identity.application.common.model.*; version="${carbon.identity.framework.version.range}",
                            *;resolution:=optional,
                            org.wso2.carbon.identity.secret.mgt.core.*;
                            version="${carbon.identity.framework.version.range}",
                        </Import-Package>
                        <DynamicImport-Package>*</DynamicImport-Package>
                        <Embed-Dependency>
                            snakeyaml
                        </Embed-Dependency>
                    </instructions>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <executions>
                    <execution>
                        <id>migration</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                        <configuration>
                            <descriptors>
                                <descriptor>src/assembly/migration.xml</descriptor>
                            </descriptors>
                            <finalName>wso2is-migration-${project.version}</finalName>
                            <appendAssemblyId>false</appendAssemblyId>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
